Bug 1000754 - [abrt] abiword-2.8.6-22.fc19: pt_PieceTable::_tellAndMaybeAddListener: Process /usr/bin/abiword was killed by signal 11 (SIGSEGV)
[abrt] abiword-2.8.6-22.fc19: pt_PieceTable::_tellAndMaybeAddListener: Proces...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
abrt_hash:767a83c6f4d91df0e627248bf9c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 18:42 EDT by Bastiaan Jacques
Modified: 2013-11-23 14:36 EST (History)
1 user (show)

See Also:
Fixed In Version: libgsf-1.14.28-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:36:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.13 KB, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: core_backtrace (18.50 KB, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: dso_list (15.24 KB, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: environ (2.44 KB, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: maps (74.89 KB, text/plain)
2013-08-24 18:42 EDT, Bastiaan Jacques
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-08-24 18:43 EDT, Bastiaan Jacques
no flags Details

  None (edit)
Description Bastiaan Jacques 2013-08-24 18:42:34 EDT
Version-Release number of selected component:
abiword-2.8.6-22.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        abiword
crash_function: pt_PieceTable::_tellAndMaybeAddListener
executable:     /usr/bin/abiword
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pt_PieceTable::_tellAndMaybeAddListener at pt_PT_Listener.cpp:222
 #1 pt_PieceTable::tellListener at pt_PT_Listener.cpp:47
 #2 PD_Document::tellListener at pd_Document.cpp:3784
 #3 IE_Exp_AbiWord_1::_writeDocument at ie_exp_AbiWord_1.cpp:1355
 #4 IE_Exp::writeFile at ie_exp.cpp:325
 #5 PD_Document::_saveAs at pd_Document.cpp:1049
 #6 AD_Document::saveAs at xad_Document.cpp:1291
 #7 XAP_Frame::backup at xap_Frame.cpp:930
 #8 AP_UnixApp::catchSignals at ap_UnixApp.cpp:1381
 #9 signalWrapper at ap_UnixApp.cpp:1332

Potential duplicate: bug 855176
Comment 1 Bastiaan Jacques 2013-08-24 18:42:38 EDT
Created attachment 789961 [details]
File: backtrace
Comment 2 Bastiaan Jacques 2013-08-24 18:42:41 EDT
Created attachment 789962 [details]
File: cgroup
Comment 3 Bastiaan Jacques 2013-08-24 18:42:44 EDT
Created attachment 789963 [details]
File: core_backtrace
Comment 4 Bastiaan Jacques 2013-08-24 18:42:47 EDT
Created attachment 789964 [details]
File: dso_list
Comment 5 Bastiaan Jacques 2013-08-24 18:42:50 EDT
Created attachment 789965 [details]
File: environ
Comment 6 Bastiaan Jacques 2013-08-24 18:42:53 EDT
Created attachment 789966 [details]
File: exploitable
Comment 7 Bastiaan Jacques 2013-08-24 18:42:56 EDT
Created attachment 789967 [details]
File: limits
Comment 8 Bastiaan Jacques 2013-08-24 18:42:59 EDT
Created attachment 789968 [details]
File: maps
Comment 9 Bastiaan Jacques 2013-08-24 18:43:02 EDT
Created attachment 789969 [details]
File: proc_pid_status
Comment 10 Fedora Update System 2013-11-18 14:59:51 EST
libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19
Comment 11 Fedora Update System 2013-11-19 00:29:02 EST
Package libgsf-1.14.28-1.fc19, abiword-3.0.0-4.fc19, sugar-write-94-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgsf-1.14.28-1.fc19 abiword-3.0.0-4.fc19 sugar-write-94-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21665/libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-11-23 14:36:15 EST
libgsf-1.14.28-1.fc19, abiword-3.0.0-4.fc19, sugar-write-94-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.